export * from './types';
declare const v: {
    boolean: () => import("./BooleanValidator").default<false>;
    number: () => import("./NumberValidator").default<false>;
    string: () => import("./StringValidator").default<false, false>;
    object: <T extends import("./types").ARecord = any>(v?: T) => import("./ObjectValidator").default<T, false, false>;
    array: <T extends import("./AllValidator").default = import("./AnyValidator").default<true, true>>(v?: T) => import("./ArrayValidator").default<T, false>;
    any: () => import("./AnyValidator").default<true, true>;
    and: <T extends import("./types").AndParams = any>(p: T) => import("./helpers").AndCondition<T, false, false>;
    or: <T extends import("./types").OrParams = any>(p: T) => import("./helpers").OrCondition<T, false, false>;
};
export { v };
export default v;
